Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Block_Flushing_Strategy Class Reference

Implement a flushing strategy that blocks on write to flush. More...

`#include <Block_Flushing_Strategy.h>`

Inheritance diagram for TAO_Block_Flushing_Strategy

[legend]
Collaboration diagram for TAO_Block_Flushing_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | schedule_output (TAO_Transport *transport)
| Schedule the transport argument to be flushed.
virtual int | cancel_output (TAO_Transport *transport)
| Cancel all scheduled output for the transport argument.
virtual int | flush_message (TAO_Transport *transport, TAO_Queued_Message *msg, ACE_Time_Value *max_wait_time)
| Wait until msg is sent out. Potentially other messages are flushed too, for example, because there are ahead in the queue.
virtual int | flush_transport (TAO_Transport *transport)
| Wait until the transport has no messages queued.

## Detailed Description

Implement a flushing strategy that blocks on write to flush.

## Member Function Documentation

int TAO_Block_Flushing_Strategy::cancel_output ( | TAO_Transport * transport )`[virtual]`

| Cancel all scheduled output for the transport argument. Reimplemented from TAO_Flushing_Strategy.

int TAO_Block_Flushing_Strategy::flush_message ( | TAO_Transport * transport,
| TAO_Queued_Message * msg,
| ACE_Time_Value * max_wait_time )`[virtual]`

| Wait until msg is sent out. Potentially other messages are flushed too, for example, because there are ahead in the queue. Reimplemented from TAO_Flushing_Strategy.

int TAO_Block_Flushing_Strategy::flush_transport ( | TAO_Transport * transport )`[virtual]`

| Wait until the transport has no messages queued. Reimplemented from TAO_Flushing_Strategy.

virtual int TAO_Block_Flushing_Strategy::schedule_output ( | TAO_Transport * transport )`[virtual]`

| Schedule the transport argument to be flushed. Reimplemented from TAO_Flushing_Strategy.

The documentation for this class was generated from the following files:

- Block_Flushing_Strategy.h
- Block_Flushing_Strategy.cpp